<?php
/*
Plugin Name: paMOOramics
Version: 0.2.b
Description: Display panoramics images using pamoorama script by silvertab (powered by mootools)
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=213
Author: Repi38
Author URI: http://www.phpwebgallery.net
*/


if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


class paMOOramics
{
	function paMOOramics_menu($menu)
	    {
	        array_push($menu,
	            array(
	                'NAME' => 'paMOOramics',
	                'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/paMOOramics_admin.php')
	            )
	        );
	        return $menu;
	    }


	var $my_config;
	    function load_config()
	    {
	        $x = @file_get_contents( dirname(__FILE__).'/data.dat' );
	        if ($x!==false)
	        {
	            $c = unserialize($x);
	            // do some more tests here
	            $this->my_config = $c;
	        }

	        if ( !isset($this->my_config)
	            or empty($this->my_config['paMOOramics_ratio']) )
	        {
	            $this->my_config['paMOOramics_ratio'] = 2;
	            $this->my_config['paMOOramics_border'] = 2;
				$this->my_config['paMOOramics_bordercolor'] = '#FFFFFF';
	            $this->my_config['paMOOramics_width'] = 650;
	            $this->my_config['paMOOramics_activateSlider'] = 'true';
	            $this->my_config['paMOOramics_footercolor'] = '#000000';
	            $this->my_config['paMOOramics_captioncolor'] = '#FFFFFF';
	            $this->my_config['paMOOramics_enableAutoscroll'] = 'true';
	            $this->my_config['paMOOramics_autoscrollSpeed'] = 10000;
	            $this->my_config['paMOOramics_autoscrollOnLoad'] = 'false';

	            $this->save_config();
	        }
	    }
	    function save_config()
	    {
	        $file = fopen( dirname(__FILE__).'/data.dat', 'w' );
	        fwrite($file, serialize($this->my_config) );
	        fclose( $file );
	    }



	function paMOOramics_load ($content) {
		global $template,$picture,$page;
		if (isset($picture['current']['scaled_width']) && isset($picture['current']['scaled_height'])) {
			$w=$picture['current']['scaled_width'];
			$h=$picture['current']['scaled_height'];

			if (($w/$h)> ($this->my_config['paMOOramics_ratio']) )  {
				$template->set_filenames(
						array('default_content'=> dirname(__FILE__).'/template/picture_content.tpl')
					);
				$template->assign_vars( array(
				   'SRC_IMG' 				=> $picture['current']['image_url'],
				   'ALT_IMG' 				=> $picture['current']['name'],
				   'WIDTH_IMG' 				=> $picture['current']['scaled_width'],
				   'HEIGHT_IMG' 			=> $picture['current']['scaled_height'],
				   'PANO_BORDER' 			=> $this->my_config['paMOOramics_border'],
				   'PANO_BORDERCOLOR' 		=> $this->my_config['paMOOramics_bordercolor'],
				   'PANO_WIDTH' 			=> $this->my_config['paMOOramics_width'],
				   'PANO_FOOTERCOLOR' 		=> $this->my_config['paMOOramics_footercolor'],
				   'PANO_CAPTIONCOLOR' 		=> $this->my_config['paMOOramics_captioncolor'],));


				$slideshow_paMOOramics_activateSlider	= $this->my_config['paMOOramics_activateSlider'];
				$slideshow_paMOOramics_enableAutoscroll	= $this->my_config['paMOOramics_enableAutoscroll'];
				$slideshow_paMOOramics_autoscrollSpeed	= $this->my_config['paMOOramics_autoscrollSpeed'];
				$slideshow_paMOOramics_autoscrollOnLoad	= $this->my_config['paMOOramics_autoscrollOnLoad'];


				if ( !isset($page['slideshow'])  ){
					if ( isset($picture['current']['high_url']) ){
						$uuid = uniqid(rand());
						$template->assign_block_vars(
							'high',
							  array(
								'U_HIGH' => $picture['current']['high_url'] ,
								'UUID'   => $uuid,      ));
					}

				}
				else {
					$slideshow_paMOOramics_activateSlider	= 'true';
					$slideshow_paMOOramics_enableAutoscroll	= 'true';
					$slideshow_paMOOramics_autoscrollSpeed	= ($_GET['slideshow']-0.5)*1000;
					$slideshow_paMOOramics_autoscrollOnLoad	= 'true';
				}

				$template->assign_vars( array(
					'PANO_ACTIVATESLIDER'		=> $slideshow_paMOOramics_activateSlider,
					'PANO_ENABLEAUTOSCROLL' 	=> $slideshow_paMOOramics_enableAutoscroll,
					'PANO_AUTOSCROLLSPEED' 		=> $slideshow_paMOOramics_autoscrollSpeed,
					'PANO_AUTOSCROLLONLOAD' 	=> $slideshow_paMOOramics_autoscrollOnLoad,));


				return $template->parse( 'default_content', true);
			}
		}
		return $content;
		return $template;
		return $picture;
		return $page;
	}



}

$obj = new paMOOramics();
$obj->load_config();


add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'paMOOramics_menu') );
set_plugin_data($plugin['id'], $obj);

add_event_handler('render_element_content', array(&$obj, 'paMOOramics_load'));




?>